import { BpSdkStore, removeQuestionPool } from '@boldpenguin/sdk-redux';
import { IApplicationFormQuestionSet, IDriverQuestionPoolContainerComponent, IMappedQuestionGroupAnswers, IPartnerEngineConfig, IQuestionPool } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkDriverQuestionPoolContainer implements IDriverQuestionPoolContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    removeQuestionPool: typeof removeQuestionPool;
    /**
     * Question Group
     */
    questionGroup: IMappedQuestionGroupAnswers;
    applicationId: string;
    config: IPartnerEngineConfig;
    questionSets: IApplicationFormQuestionSet[];
    useExternal: boolean;
    questionPool: IQuestionPool;
    questionPoolId: string;
    isDeleting: boolean;
    deletePool: EventEmitter<string>;
    el: HTMLBpSdkVehicleQuestionPoolContainerElement;
    resetState(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    mapStateToProps: (state: BpSdkStore) => {
        applicationId: string;
        config: IPartnerEngineConfig;
        questionSets: IApplicationFormQuestionSet[];
    };
    disconnectedCallback(): void;
    onQuestionGroupChange(questionGroup: IMappedQuestionGroupAnswers): void;
    componentWillLoad(): void;
    handleDeleteItem: () => void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
